﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartCloserLabelsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] labels = "Commander Board Temperature;Diagnostic Voltage Modern Proxy;Diagnostic Voltage Modern Diagnostics".Split(';');
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i < labels.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = labels[i],
                    Value = 5
                });
            }
        }
    }

    public class SampleData
    {
        public int Value { get; set; }
        public string Label { get; set; }
    }
}
